Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Managed Service for Valkey™
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • StartFailover
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • GetShard
        • ListShards
        • AddShard
        • DeleteShard
        • Rebalance
        • EnableSharding
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Host
  • Resources
  • Service
  1. Справочник API
  2. REST (англ.)
  3. Cluster
  4. ListHosts

Managed Service for Redis API, REST: Cluster.ListHosts

Статья создана
Yandex Cloud
Обновлена 7 октября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Host
  • Resources
  • Service

Retrieves a list of hosts for the specified cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-redis/v1/clusters/{clusterId}/hosts

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the Valkey cluster.
To get the Valkey cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize, the service returns a ListClusterHostsResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set pageToken to the ListClusterHostsResponse.nextPageToken
returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "hosts": [
    {
      "name": "string",
      "clusterId": "string",
      "zoneId": "string",
      "subnetId": "string",
      "resources": {
        "resourcePresetId": "string",
        "diskSize": "string",
        "diskTypeId": "string"
      },
      "role": "string",
      "health": "string",
      "services": [
        {
          "type": "string",
          "health": "string"
        }
      ],
      "shardName": "string",
      "replicaPriority": "string",
      "assignPublicIp": "boolean"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

hosts[]

Host

List of hosts for the cluster.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListClusterHostsRequest.pageSize, use the nextPageToken as the value
for the ListClusterHostsRequest.pageToken query parameter in the next list request.
Each subsequent list request will have its own nextPageToken to continue paging through the results.

HostHost

Field

Description

name

string

Name of the Valkey host. The host name is assigned by MDB at creation time, and cannot be changed.
1-63 characters long.
The name is unique across all MDB hosts that exist on the platform, as it defines the FQDN of the host.

clusterId

string

ID of the Valkey cluster. The ID is assigned by MDB at creation time.

zoneId

string

ID of the availability zone where the Valkey host resides.

subnetId

string

ID of the subnet that the host belongs to.

resources

Resources

Resources allocated to the Valkey host.

role

enum (Role)

Role of the host in the cluster. If the field has default value, it is not returned in the response.

  • ROLE_UNKNOWN: Role of the host in the cluster is unknown. Default value.
  • MASTER: Host is the master Valkey server in the cluster.
  • REPLICA: Host is a replica (standby) Valkey server in the cluster.

health

enum (Health)

Aggregated health of the host. If the field has default value, it is not returned in the response.

  • HEALTH_UNKNOWN: Health of the host is unknown. Default value.
  • ALIVE: The host is performing all its functions normally.
  • DEAD: The host is inoperable, and cannot perform any of its essential functions.
  • DEGRADED: The host is degraded, and can perform only some of its essential functions.

services[]

Service

Services provided by the host.

shardName

string

Name of the shard that the host belongs to.

replicaPriority

string (int64)

Priority of the host as a candidate for promotion to master: the higher the value,
the more preferred the host is. A host with priority 0 is promoted only if there are
no other suitable candidates. The priority is ignored if the host requires a full
resynchronization: in that case the host with the smallest replication lag is promoted.
Works only for non-sharded clusters. Default value is 100.

assignPublicIp

boolean

Flag showing public IP assignment status to this host.

ResourcesResources

Field

Description

resourcePresetId

string

ID of the preset for computational resources available to a host (CPU, memory etc.).
To get the list of available presets, use a ResourcePresetService.List request;
presets are also listed in the documentation.

diskSize

string (int64)

Volume of the storage available to a host, in bytes.

diskTypeId

string

Type of the storage environment for the host.
Possible values:

  • network-ssd - network SSD drive,
  • local-ssd - local SSD storage.

ServiceService

Field

Description

type

enum (Type)

Type of the service provided by the host. If the field has default value, it is not returned in the response.

  • REDIS: The host is a Valkey server.
  • ARBITER: The host provides a Sentinel-only service (a quorum node).
  • REDIS_CLUSTER: The host is a Valkey Cluster node.

health

enum (Health)

Aggregated health of the service. If the field has default value, it is not returned in the response.

  • HEALTH_UNKNOWN: Health of the server is unknown. Default value.
  • ALIVE: The server is working normally.
  • DEAD: The server is dead or unresponsive.

Была ли статья полезна?

Предыдущая
ListBackups
Следующая
AddHosts
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»